Python
import honeyhive
from honeyhive.models import operations
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.datasets.add_datapoints(dataset_id='<value>', request_body=operations.AddDatapointsRequestBody(
project='<value>',
data=[
{
'key': '<value>',
},
],
mapping=operations.Mapping(
inputs=[
'<value>',
],
ground_truth=[
'<value>',
],
history=[
'<value>',
],
),
))
if res.object is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { AddDatapointsRequest, AddDatapointsRequestBody, Mapping } from "honeyhive/dist/models/operations";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const datasetId: string = "<value>";
const requestBody: AddDatapointsRequestBody = {
project: "<value>",
data: [
{
"key": "<value>",
},
],
mapping: {
inputs: [
"<value>",
],
groundTruth: [
"<value>",
],
history: [
"<value>",
],
},
};
const res = await sdk.datasets.addDatapoints(datasetId, requestBody);
if (res.statusCode == 200) {
// handle response
}
}
run();curl --request POST \
--url https://api.honeyhive.ai/datasets/{dataset_id}/datapoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "<string>",
"data": [
{}
],
"mapping": {
"inputs": [
"<string>"
],
"ground_truth": [
"<string>"
],
"history": [
"<string>"
]
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: '<string>',
data: [{}],
mapping: {inputs: ['<string>'], ground_truth: ['<string>'], history: ['<string>']}
})
};
fetch('https://api.honeyhive.ai/datasets/{dataset_id}/datapoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeyhive.ai/datasets/{dataset_id}/datapoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => '<string>',
'data' => [
[
]
],
'mapping' => [
'inputs' => [
'<string>'
],
'ground_truth' => [
'<string>'
],
'history' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honeyhive.ai/datasets/{dataset_id}/datapoints"
payload := strings.NewReader("{\n \"project\": \"<string>\",\n \"data\": [\n {}\n ],\n \"mapping\": {\n \"inputs\": [\n \"<string>\"\n ],\n \"ground_truth\": [\n \"<string>\"\n ],\n \"history\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.honeyhive.ai/datasets/{dataset_id}/datapoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project\": \"<string>\",\n \"data\": [\n {}\n ],\n \"mapping\": {\n \"inputs\": [\n \"<string>\"\n ],\n \"ground_truth\": [\n \"<string>\"\n ],\n \"history\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeyhive.ai/datasets/{dataset_id}/datapoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": \"<string>\",\n \"data\": [\n {}\n ],\n \"mapping\": {\n \"inputs\": [\n \"<string>\"\n ],\n \"ground_truth\": [\n \"<string>\"\n ],\n \"history\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"inserted": true,
"datapoint_ids": [
"<string>"
]
}Datasets
Add datapoints to a dataset
POST
/
datasets
/
{dataset_id}
/
datapoints
Python
import honeyhive
from honeyhive.models import operations
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.datasets.add_datapoints(dataset_id='<value>', request_body=operations.AddDatapointsRequestBody(
project='<value>',
data=[
{
'key': '<value>',
},
],
mapping=operations.Mapping(
inputs=[
'<value>',
],
ground_truth=[
'<value>',
],
history=[
'<value>',
],
),
))
if res.object is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { AddDatapointsRequest, AddDatapointsRequestBody, Mapping } from "honeyhive/dist/models/operations";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const datasetId: string = "<value>";
const requestBody: AddDatapointsRequestBody = {
project: "<value>",
data: [
{
"key": "<value>",
},
],
mapping: {
inputs: [
"<value>",
],
groundTruth: [
"<value>",
],
history: [
"<value>",
],
},
};
const res = await sdk.datasets.addDatapoints(datasetId, requestBody);
if (res.statusCode == 200) {
// handle response
}
}
run();curl --request POST \
--url https://api.honeyhive.ai/datasets/{dataset_id}/datapoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "<string>",
"data": [
{}
],
"mapping": {
"inputs": [
"<string>"
],
"ground_truth": [
"<string>"
],
"history": [
"<string>"
]
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: '<string>',
data: [{}],
mapping: {inputs: ['<string>'], ground_truth: ['<string>'], history: ['<string>']}
})
};
fetch('https://api.honeyhive.ai/datasets/{dataset_id}/datapoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honeyhive.ai/datasets/{dataset_id}/datapoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => '<string>',
'data' => [
[
]
],
'mapping' => [
'inputs' => [
'<string>'
],
'ground_truth' => [
'<string>'
],
'history' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honeyhive.ai/datasets/{dataset_id}/datapoints"
payload := strings.NewReader("{\n \"project\": \"<string>\",\n \"data\": [\n {}\n ],\n \"mapping\": {\n \"inputs\": [\n \"<string>\"\n ],\n \"ground_truth\": [\n \"<string>\"\n ],\n \"history\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.honeyhive.ai/datasets/{dataset_id}/datapoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project\": \"<string>\",\n \"data\": [\n {}\n ],\n \"mapping\": {\n \"inputs\": [\n \"<string>\"\n ],\n \"ground_truth\": [\n \"<string>\"\n ],\n \"history\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honeyhive.ai/datasets/{dataset_id}/datapoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": \"<string>\",\n \"data\": [\n {}\n ],\n \"mapping\": {\n \"inputs\": [\n \"<string>\"\n ],\n \"ground_truth\": [\n \"<string>\"\n ],\n \"history\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"inserted": true,
"datapoint_ids": [
"<string>"
]
}Authorizations
Path Parameters
Body
application/json
Was this page helpful?